Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes
CLUSTERER Struct Reference

`#include <cluster.h>`

List of all members.

## Public Attributes

inT16 | SampleSize
PARAM_DESC * | ParamDesc
inT32 | NumberOfSamples
KDTREE * | KDTree
CLUSTER * | Root
LIST | ProtoList
inT32 | NumChar
BUCKETS * | bucket_cache [DISTRIBUTION_COUNT][MAXBUCKETS+1-MINBUCKETS]

## Detailed Description

Definition at line 86 of file cluster.h.

## Member Data Documentation

BUCKETS* CLUSTERER::bucket_cache[DISTRIBUTION_COUNT][MAXBUCKETS+1-MINBUCKETS]

Definition at line 95 of file cluster.h.

KDTREE* CLUSTERER::KDTree

Definition at line 90 of file cluster.h.

inT32 CLUSTERER::NumberOfSamples

Definition at line 89 of file cluster.h.

inT32 CLUSTERER::NumChar

Definition at line 93 of file cluster.h.

PARAM_DESC* CLUSTERER::ParamDesc

Definition at line 88 of file cluster.h.

LIST CLUSTERER::ProtoList

Definition at line 92 of file cluster.h.

CLUSTER* CLUSTERER::Root

Definition at line 91 of file cluster.h.

inT16 CLUSTERER::SampleSize

Definition at line 87 of file cluster.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/cluster.h